//------------------------------------------------------------------------------
// File: AC3Plugin.h
//------------------------------------------------------------------------------

#ifndef __AC3_PLUGIN__
#define __AC3_PLUGIN__


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef BUILD_AC3LIB
	#define _DLLCLASS __declspec( dllexport )
#else
	#define _DLLCLASS __declspec( dllimport )
#endif

class _DLLCLASS AC3Plugin
{
	void*		m_privateData;

public:
	AC3Plugin();
	~AC3Plugin();

	int SetParameters(WAVEFORMATEX *wfx, int bitRate);	
	int ProcessFlow(unsigned char *inBuffer, int inSamples, unsigned char *outBuffer, int *outBytes, int maxOutBytes);
};

#endif // __AC3_PLUGIN__
